| Version: 3.1.5

Static Private Member Functions | List of all members
wxPlatformId Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/platinfo.h>`

## Detailed Description

Defines a very broad platform categorization.

Usually you would use wxPlatformInfo to get all the platform details rather than this class which only distinguishes between MSW, Mac and Unix platforms.

This class is mostly useful if a short string describing the platform corresponds to the current platform, i.e. the platform under which the executable runs. The recognized strings are:

- "msw" (preferred) or "win" (for compatibility) for MSW.
- "mac" for Apple systems, i.e. macOS and iOS.
- "unix" for the (other) Unix-like systems.

Since
  3.1.5

## Static Private Member Functions
static wxString | GetCurrent ()
| Returns the preferred current platform name. More...
static bool | MatchesCurrent (const wxString &s)
| Returns true if the given string matches the current platform. More...

## Member Function Documentation

## ◆ GetCurrent()

static wxString wxPlatformId::GetCurrent | ( |  | ) |
| static private

Returns the preferred current platform name.

Use MatchesCurrent() to check if the name is one of the possibly several names corresponding to the current platform.

Returns one of "msw", "mac" or "unix" or an empty string if the current platform is not recognized.

## ◆ MatchesCurrent()

static bool wxPlatformId::MatchesCurrent | ( | const wxString & | s | ) |
| static private

Returns true if the given string matches the current platform.